tree_type

## Public Member Functions

| tree_type (const std::string &basis, const std::string &geo)
| tree_type ()
| tree_type (const std::string &s, const std::list< tree_type > &h)

## Public Attributes

bool | is_hier
basis_geo_t | basis_geo
std::list< tree_type > | hier
std::string | spec

## Detailed Description

Definition at line 67 of file space_constitution_get.icc.

## Constructor & Destructor Documentation

## tree_type() [1/3]

tree_type | ( | const std::string & | basis,
|  | const std::string & | geo
| ) |  |

Definition at line 74 of file space_constitution_get.icc.

## tree_type() [2/3]

tree_type | ( |  | ) |

Definition at line 76 of file space_constitution_get.icc.

## tree_type() [3/3]

tree_type | ( | const std::string & | s,
|  | const std::list< tree_type > & | h
| ) |  |

Definition at line 77 of file space_constitution_get.icc.

## Member Data Documentation

## is_hier

bool is_hier

Definition at line 69 of file space_constitution_get.icc.

## basis_geo

basis_geo_t basis_geo

Definition at line 70 of file space_constitution_get.icc.

## hier

std::list<tree_type> hier

Definition at line 71 of file space_constitution_get.icc.

## spec

std::string spec

Definition at line 72 of file space_constitution_get.icc.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/space_constitution_get.icc